# This is Eqassemble's Parameter File

# Basic Earthworm setup:
#-----------------------
MyModuleId   MOD_EQRAPID     # module id for this instance of eqprelim
RingName     FPICK_RING        # ring to get input from
LogFile      1                # 0 to completely turn off disk log file
HeartbeatInt 30              # Seconds between heartbeats

# List the message logos to grab from transport ring
#              Installation       Module          Message Types
GetPicksFrom   INST_WILDCARD    MOD_WILDCARD    # pick2k  & coda2k
GetAssocFrom   ${EW_INST_ID}    MOD_BINDER_EW   # quake2k & link

# Send output to the following command (uncomment one):
#------------------------------------------------------
 PipeTo "eqbuf eqk/eqbuf_rapid.d"     # buffer events for downstream modules

# Load station list
#------------------
 maxsite     4500
 site_file ${STATIONFILE}

# Load Central California crustal model
#
@${VELOCITY_MODEL}

# Set pick/quake FIFO lengths (must be >= binder's fifo lengths)
#---------------------------------------------------------------
 pick_fifo_length  1000  # optional: default = 1000
 quake_fifo_length  100  # optional: default = 100

# Control how/when events are reported
#-------------------------------------
 ReportS      1     # 0 = do not send S-phases to next process
                    # non-zero = do send S-phases to next process
 HypCheckInterval  5.0	# interval (sec) at which to check all hypocenters   
                    #   to see if it's time to report an event


# Rules for reporting events
#---------------------------
# At least one of these rules must be given; there are no defaults
# Syntax:
#	PrelimRule numPhases
#		Event2K message released with version 0 when event has
#		<numPhases> P phases associated.
#	RapidRule numPhases seconds SinceOrigin
#     or
#	RapidRule numPhases seconds SinceDetection
#		Event2K message released with version 1 <seconds> since
#		origin or detection time provided <numPhases> P phases 
#		associated.
#	FinalRule numPhases seconds [WaitForCodas]
#		Event2K message released with version 2 when solution has
#		been stable for <seconds>, has <numPhases> P phases associated,
#		and optionally after codas have arrived. 
# Codas are reported only with the FinalRule and only if the
# WaitForCodas flag is included in the FinalRule command
#

# these were the values I used to dup current EC 90 second behavior
# PrelimRule    8
# RapidRule     14 70 SinceOrigin
# FinalRule     14 85

# these are rules to test and see how magnitudes do with a shorter finalization time
PrelimRule    8
RapidRule     8 60 SinceOrigin
FinalRule     8 50

# If we are going to wait for codas, and some picks are imported from
# other Earthworm Installations, eqassemble can optionally wait for codas
# from those other installations with one or more of:
# CodaFromInst InstId
# You do not need to list your own Inst ID.
# CodaFromInst is ignored if the FinalRule does not wait for codas.
# CodaFromInst INST_MENLO

# DataSrc: single character to indicate the source of phase data
DataSrc    "_"

# Control debugging info to log
#------------------------------
 WaifTolerance   4.0  # tolerance (sec) for noting waif picks for
		      #   in log file. (optional: default = 4.0)

