#
#                     Pick_gm''s Configuration File
#
MyModId       MOD_PICK_GM      		# This instance of pick_FP
StaFile       "sta_kma24.last.2019"   		# File containing station name/pin# info
InRing           WAVE_RING     		# Transport ring to find waveform data on,
OutRing          PICK_RING     		# Transport ring to write ground motion data to,
HeartbeatInt            30     		# Heartbeat interval, in seconds,
RestartLength          100     		# Number of samples to process for restart
MaxGap                  15     		# Maximum gap to interpolate
Debug                    0     		# If 1, print debugging message
OutputByFile             1     		# If 1, write to file
OutputByConsole          1     		# If 1, write to screen
OutputFolder             "./gm" 			# Don''t add slash at the end. Write to file
DummyLeadSec             120   		# At least, 120sec

SniffGmStyle             1     		# 0(A2V2A), 1(A2A)
									# A2V2A: If acc, converted acc->vel->acc and If vel, converted acc->vel
  									# A2A: If acc, converted acc->vel and If vel, converted vel->acc
StableTime            10.0     		# skip time(seconds) at first
SamplePeriod            60     		# PSA sampling seconds(20,30,60)
									# If 60 seconds, output PSA every 30 seconds(50% overlapping)
PsaMethod                3     		# PSA methodology(2,3): newmark_beta/nigam-jennings

#PsaPeriods                  		# 3methods: point OR range OR log 
PsaPeriods point 0.3 1.0 3.0		# 0.3, 1.0, 3.0Hz
#PsaPeriods range 0.01 5.0 0.01 	#start end step
#PsaPeriods log  -2 2 10        	#start end count

pgThresh             0.000001           # only write if any of the pg values is at or above threshold, default is 0

# Logos of messages to export to client systems.
#------------------------------------------------
# Installation and Module can be wildcards.
# Knows how to decipher these message types:
#  w/  location code: TYPE_TRACEBUF2, TYPE_TRACE2_COMP_UA,
#                     TYPE_PICK_SCNL, TYPE_CODA_SCNL,
#                     TYPE_STRONGMOTIONII
#  w/o location code: TYPE_TRACEBUF, TYPE_TRACE_COMP_UA,
#                     TYPE_PICK2K, TYPE_CODA2K msgs
#
#              Installation       Module       Message Type
GetLogo  INST_WILDCARD  MOD_WILDCARD  TYPE_TRACEBUF2

# List of station/channel/network/loc codes to export.
#
# Use any combination of Send_scnl (to send data as-is) and
#   Send_scnl_remap (to change the SCNL on the fly) commands.
# Use * as a wildcard for any field. A wildcard in the
#   "map to" fields of Send_scnl_remap means that field will
#   not be renamed.
#-----------------------------------------------------------------
#Send_scnl_remap JMJ   Ch4 JPN 01     JMJ   HSZ  JN 01
#Send_scnl_remap * Ch7  BB  *     * HHZ BB *  





