#
# q6602ew configuration file
#

## The following items are typical Earthworm items

 ModuleId       MOD_Q6602EW     # module id for this module.  Make sure to
				# add this to earthworm.h if it is not already
				# there

 RingName       WAVE_RING       # Transport ring to write data to

# MseedRingName  WAVE_RING       # Write miniSEED (TYPE_MSEED) messages to the
                                # specified ring if specified.

 HeartbeatInt   60              # Heartbeat interval in seconds
                  
 LogFile        1               # If 0, don't write logfile;; if 1, do
                                # if 2, log to module log but not stderr/stdout

## The following items tell us how to talk to the Q660

StationName		MyStation		# The Q660 station name
IPAddress		127.0.0.1		# The Q660 IP address
BasePort		7330			# The Q660 base port -
						#  7330 is the default base port
SerialNumber		1234567890123456	# The serial number of the Q660
Password		"The Password"		# The Q660 password

LowLatPort	0				# Low Latency Port or 0 if none

# StartNewer                                    # accept newer data than what is in opt_start

# OptStartOffset 172800                         # set start time to seconds ago (2172800 seconds or 2 days ago)

# OptClientMode 0                               # if 1 enable BSL alternate start time management

# OptLimitLastBackfill 0			# if not 0 Resume Connection Backlog Limit (seconds)

# OptThrottleKbitpersec 0                       # Throttle Connect kbit/s

# OptBwfillKbitTarget 0                         # Fill Transmission Bandwidth (kbit/s)

# OptBwfillProbeInterval 0                      # Fill Rate retry probe interval (s, e.g. 180)

# OptBwfillExceedTrigger 0                      # Fill latency exceeds trigger to reduce rate (n times, e.g. 3)

# OptBwfillIncreaseInterval 0                   # Fill Rate retry increase interval (s, e.g. 3600)

# OptBwfillMaxLatency 0                         # Fill Rate maximum allowable latency (s, e.g. 2)

## The following items help control the log verbosity

LogLevel	sd rm vb sm 	# Space seperated list of: 
				# sd - Logs Q660 status on connect
				# rm - Pings and sends a user message
				#      to Q660 on connect/disconnect
				# vb - Logs messages for items like
				#      filter delays
				# sm - Logs 800 series messages
				# pd - Logs all packets sent/received

## Where should we keep our continuity files?
ContinuityFileDirectory	/tmp

