#ifndef CONFIG_H
#define CONFIG_H

#include "earthworm.h"
#include "latency_scnl.h"
#include "scnl_table.h"
#include "trace_buf.h"

#define FILE_EXT_MAX 16
#ifndef PATH_MAX
#define PATH_MAX 512
#endif

typedef struct {
  int Binary;
  int Debug;
  int LogFile;
  char Latencyfile[PATH_MAX];
  char LatencyfileExt[FILE_EXT_MAX];
  char Outputfile[PATH_MAX];
  char OutputfileExt[FILE_EXT_MAX];
  char Mseeddir[PATH_MAX];
  int ArchiveFormat;
  int Pinno;
  double StartTime;
  double EndTime;
  double LatencyInterval;
  int MatchAllChannelCodes;
  int MatchAllLocationCodes;
  SCNL_TABLE scnl_table;
  LATENCY_OUTPUT_TYPE LatencyOutputType;
} PARAMS;

/**
 * Process the configuration items
 * @param argc the number of arguments
 * @param argv the array of arguments
 * @param params the parameters
 * @param argi the first argument to process, 0 to read the configuration file
 * and then process other arguments, otherwise the starting index  if there is
 * no configuration file the starting configuratin file, otherwise if there is
 * no configuration file the starting index
 * @return 0 if sucess, positive number if error.
 */
int config(int argc, char *argv[], PARAMS *params, int argi);

/**
 * Initialize the parameters to the default values.
 */
void initParams(PARAMS *params);

/**
 * Print config help.
 */
void printConfigHelp(FILE *fp);

#endif
