#include "earthworm.h"
#include "libclient.h"
#include "q6602ew.h"
#include "logging.h"
#include "q660_globals.h"

/**
 * What state are we currently in?
 **/
enum tlibstate lib660Interface_getLibState() {
  return current_state;
}

/**
 * Wait for a particular state to arrive, or timeout after maxSecondsToWait.
 * return value indicated whether we reached the desired state or not
 **/
int lib660Interface_waitForState(enum tlibstate waitFor, int maxSecondsToWait) {
  int i;
  for(i=0; i < maxSecondsToWait; i++) {
    if(lib660Interface_getLibState() != waitFor) {
      sleep_ew(1000);
    } else {
      return 1;
    }
  }
  return 0;
}
