#ifndef Q6602EW_Q660_GLOBALS_H
#define Q6602EW_Q660_GLOBALS_H

#include "libtypes.h"
#include "libclient.h"
#include "libseed.h"
#include "config.h"

#undef _EXTERN_
#ifndef Q660_GLOBALS_C
#define _EXTERN_ extern
#else
#define _EXTERN_
#endif

#define VER_GLOBALS 0

#define MSG_QUEUE_SIZE 256 // must be a power of 2
#define MSG_QUEUE_MASK (MSG_QUEUE_SIZE - 1)

#define ARC_RECORD_SIZE 4096
#define ARC_FRAMES_PER_RECORD 64
#define ARC_RECORD_EXP 12
#define CONFIG_VERSION 1

typedef char string25[26] ;
typedef char string127[128] ;

typedef compressed_frame tcompressed_record[ARC_FRAMES_PER_RECORD] ;
typedef tcompressed_record *pcompressed_record ;

typedef tmsg_call tsenmsgqueue[MSG_QUEUE_SIZE] ;

enum tcfgphase {CFG_IDLE, CFG_CREATE, CFG_REG, CFG_FILE, CFG_RUN} ;

// Global variables definitions
_EXTERN_ tcontext context ; // context for this station
_EXTERN_ pointer lldatacontext; // low latency data context
_EXTERN_ enum tlibstate current_state ;
_EXTERN_ U32 highest_msgnum ;
_EXTERN_ int msgcnt ;
_EXTERN_ int _q8Connected ;
_EXTERN_ enum tcfgphase cfgphase ;
_EXTERN_ string9 station_name ; // network-station
_EXTERN_ U32 have_cfg ; // stuff we already have that can't change
_EXTERN_ U32 status_received ; // have this status, might be old
_EXTERN_ topstat opstat ; // operation status
_EXTERN_ tdpcfg dpcfg ; // DP configuration from tokens
_EXTERN_ string line ; // input line from user
_EXTERN_ tsysinfo local_sysinfo ;
_EXTERN_ tseed local_seed ;

_EXTERN_ U16 first_clear ; // first word to clear after de-registratin
_EXTERN_ enum tlibstate previous_state ;
_EXTERN_ BOOLEAN state_change ;
_EXTERN_ BOOLEAN cfg_change ; // new configuration available
_EXTERN_ BOOLEAN screen_busy ;
_EXTERN_ BOOLEAN one_sec_show ;

_EXTERN_ U16 last_clear ; // last word to clear after de-registration

#ifdef X86_WIN32
_EXTERN_ WSADATA wdata ;
#endif

_EXTERN_ U16 poc_udp_port ;

_EXTERN_ Q660Configuration gConfig;
_EXTERN_ unsigned char TypeTrace;         // Trace EW type for logo
_EXTERN_ unsigned char TypeMseed;         // Mseed EW type for logo
_EXTERN_ unsigned char TypeHB;            // HB=HeartBeat EW type for logo
_EXTERN_ unsigned char TypeErr;           // Error EW type for logo
_EXTERN_ unsigned char QModuleId;
_EXTERN_ int testflag;

#undef _EXTERN_
#endif
