#
#       Startstop (Unix Version -- Linux) Configuration File
#
#    <nRing> is the number of transport rings to create.
#    <Ring> specifies the name of a ring followed by it's size
#    in kilobytes, eg        Ring    WAVE_RING 1024
#    
#    Ring names are listed in file earthworm.d.
#
#    The maximum ring size is dependent on the available RAM of your
#    computer system.
#
#    Earthworm is a realtime system and typically doesn't need memory
#    rings more than a few megabyte in size.
#    A typical system with 500 stations might want a WAVE_RING as large
#    as 32mb, but a smaller Earthworm system with ten stations may be
#    fine with a 1mb WAVE_RING or perhaps a 5mb ring. Other rings typically
#    hold parametric information and can be smaller. A STATUS_RING is
#    typically fine at 128kb, a PICK_RING or HYPO_RING with 1024kb (1mb)
#    should be plenty.



 Ring   WAVE_RING.  1024
 Ring   PICK_RING   1024
 Ring   HYPO_RING   1024
 Ring   STATUS_RING  128
#
 MyModuleId    MOD_STARTSTOP  # Module Id for this program
 HeartbeatInt  50             # Heartbeat interval in seconds
 MyClassName   OTHER             # For this program
 MyPriority     0             # For this program
 LogFile        1             # 1=write a log file to disk, 0=don't
 KillDelay      30            # seconds to wait before killing modules on
                              #  shutdown
 HardKillDelay  5             # number of seconds to wait on hard shutdown
                              #  for a child to respond to KILL signal
                              #  If missing or 0, no KILL signal will be sent
#  maxStatusLineLen   80     # Uncomment to specify length of lines in status
# statmgrDelay		2     # Uncomment to specify the number of seconds
					# to wait after starting statmgr 
					# default is 1 second

#
#
 Process          "statmgr statmgr.d"
 Class/Priority    OTHER 0
#
 Process          "tankplayer tankplayer.d"
 Class/Priority    OTHER 0
#
# Process          "coaxtoring coaxtoring.d"
# Class/Priority    OTHER 0
#
 Process          "tankplayer tankplayer2.d"
 Class/Priority    OTHER 0
#
 Process          "pick_ew pick_ew.d"
 Class/Priority    OTHER 0
#
 Process          "binder_ew binder_ew.d"
 Class/Priority    OTHER 0
#
 Process          "eqproc eqproc.d"
 Class/Priority    OTHER 0
#
 Process          "diskmgr diskmgr.d"
 Class/Priority    OTHER 0
#
 Process          "copystatus WAVE_RING HYPO_RING"
# Class/Priority    OTHER 5
 Class/Priority    OTHER 0
#
 Process          "copystatus PICK_RING HYPO_RING"
# Class/Priority    OTHER 5
 Class/Priority    OTHER 0
#
 Process          "menlo_report menlo_report.d"
 Class/Priority    OTHER 0

